Hiding Specific Column in all Assembly>Schedules

I’ve found another similar post here which renames all 3D views that are in every Assembly. It works beautifully, however I’m looking to apply my code (displayed below) to all Schedules that are in all Assemblies. Where/what should I be looking at to actually accomplish my task?

import clr
clr.AddReference('ProtoGeometry')
from Autodesk.DesignScript.Geometry import *

# Import RevitNodes
clr.AddReference("RevitNodes")
import Revit

clr.AddReference('RevitAPI')
import Autodesk
from Autodesk.Revit.DB import *

clr.AddReference("RevitAPIUI")
from Autodesk.Revit.UI import *

# Import Revit elements
from Revit.Elements import *

# Import DocumentManager
clr.AddReference("RevitServices")
import RevitServices
from RevitServices.Persistence import DocumentManager
from RevitServices.Transactions import TransactionManager

import sys
sys.path.append('C:/Program Files (x86)/IronPython 2.7/Lib')
import random

import System

import time

starttime = time.clock()

from math import atan2, radians, cos, sin, degrees, sqrt, ceil

doc = DocumentManager.Instance.CurrentDBDocument
uiapp = DocumentManager.Instance.CurrentUIApplication
app = uiapp.Application
adoc = doc.ActiveView

#Variables

# allviews = A FEC of the View Class
# allviewsel = A FEC of the View Class converted to Elements
# vgettype = States what type of view the view is - GetType
# vgettos = The views 'Title on Sheet' parameter <<< NOT USED
# axolist = A list of axonometric assembly views
# axoassocassem = A list of assemblys associated to the axolist views
# assnames = A list of assembly names
# donerename = A counter which records if a rename has happened
# faillist = A counter which records if any renames have failed

#User message
TaskDialog.Show("Rename Assembly Axonometric Views", "This routine will rename all Assembly Axonometric views names to match the Assembly name.")

#Create FEC of views within database
allviews = FilteredElementCollector(doc).OfClass(View)

#Convert room list to elements
allviewel = allviews.ToElements()

#Get list of assembly axo views
axolist = []
for f in allviewel:
#vgettos = f.LookupParameter("Title on Sheet")
if f.GetType() == Schedule and f.IsAssemblyView == True:
axolist.append(f)

#Get list of assemblys related to the assembly axo views
axoassocassem = []
for f in axolist:
axoassocassem.append(f.AssociatedAssemblyInstanceId.IntegerValue)

#Get list of assembly names
assnames = []
for f in axoassocassem:
ele = ElementId(f)
elefromdb = doc.GetElement(ele)
asstype = elefromdb.LookupParameter("Type").AsElementId()
assnameele = doc.GetElement(asstype)
assnames.append(assnameele.LookupParameter("Type Name").AsString())

#Rename axo view names to match assembly name
faillist = 0
donerename = 0
TransactionManager.Instance.EnsureInTransaction(doc)
for f in range(len(axolist)):
if axolist[f].Name != assnames[f]:
donerename += 1
try:
axolist[f].Name = assnames[f]
except:
faillist += 1
TransactionManager.Instance.TransactionTaskDone()

#User message
finalmessage = "Found " + str(len(axolist)) + " Assembly axonometric views\n\n" + "Renamed " + str(donerename) + " Assembly views\n\n" + str(faillist) + " Rename failures"
TaskDialog.Show("Rename Assembly Axonometric Views", finalmessage)

OUT = [axolist, axoassocassem, assnames, donerename, faillist]

I’ve tried changing the below line, from the first script I listed, from [View3D] to [Schedule] in hopes that it would pull a list of Schedule views instead of 3D Views. But it doesn’t appear to do this.

#Get list of assembly axo views
axolist = []
for f in allviewel:
#vgettos = f.LookupParameter("Title on Sheet")
if f.GetType() == schedule and f.IsAssemblyView == True:
axolist.append(f)

Correct me if I am wrong, but I believe that I just need to be able to apply the code below to multiple Schedule views.

import clr
clr.AddReference('RevitAPI')
import Autodesk
from Autodesk.Revit.DB import *

clr.AddReference("RevitNodes")
import Revit
clr.ImportExtensions(Revit.Elements)
from Revit.Elements import *
clr.ImportExtensions(Revit.GeometryConversion)
clr.ImportExtensions(Revit.GeometryReferences)

clr.AddReference("RevitServices")
import RevitServices
from RevitServices.Persistence import DocumentManager
from RevitServices.Transactions import TransactionManager

doc = DocumentManager.Instance.CurrentDBDocument
uidoc=DocumentManager.Instance.CurrentUIApplication.ActiveUIDocument
uiapp=DocumentManager.Instance.CurrentUIApplication
app = uiapp.Application

view = doc.ActiveView

def U(elem):
a = UnwrapElement(elem)
return a

schedule = UnwrapElement(IN[0])
colName = "Weight (ea)";

definit = schedule.Definition
countParameters = definit.GetFieldCount()
# Parameter names
names = []
for i in range(countParameters):
Parname = definit.GetField(i).ColumnHeading # Parameter Column name
if Parname == colName:
index = i

field = schedule.Definition.GetField(index) # schedule field

TransactionManager.Instance.EnsureInTransaction(doc)
field.IsHidden = 0 # 1 = Hide, 0 = Show
TransactionManager.Instance.TransactionTaskDone()
OUT = schedule

Thank you in advance for the help guys!